=== conversion/CMakeLists.txt ===

set (CONVERSION_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/kcalconversion.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/kabcconversion.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/commonconversion.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/kolabconversion.cpp PARENT_SCOPE)
