=== tests/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_BINARY_DIR})

QT4_AUTOMOC(benchmark.cpp)
add_executable(benchmarktest benchmark.cpp  ${CMAKE_CURRENT_BINARY_DIR}/${BINDINGSTEST_MOC})
target_link_libraries(benchmarktest ${QT_QTTEST_LIBRARY} kolab_static)

QT4_AUTOMOC(formattest.cpp)
add_executable(formattest formattest.cpp  ${CMAKE_CURRENT_BINARY_DIR}/${BINDINGSTEST_MOC})
target_link_libraries(formattest ${QT_QTTEST_LIBRARY} kolab_static)

QT4_AUTOMOC(upgradetest.cpp)
add_executable(upgradetest upgradetest.cpp  ${CMAKE_CURRENT_BINARY_DIR}/${BINDINGSTEST_MOC})
target_link_libraries(upgradetest ${QT_QTTEST_LIBRARY} kolab_static)

QT4_AUTOMOC(kcalconversiontest.cpp)
add_executable(kcalconversiontest kcalconversiontest.cpp ${CMAKE_CURRENT_BINARY_DIR}/${BINDINGSTEST_MOC})
target_link_libraries(kcalconversiontest ${QT_QTTEST_LIBRARY} kolab_static)
