=== debian/control ===
Source: libkolab
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 9),
               pkg-kde-tools,
               kdelibs5-dev,
               kdepimlibs5-dev,
               libkolabxml-dev,
               libboost1.49-dev,
               libxerces-c-dev,
               libboost-thread1.49-dev,
               libcurl4-gnutls-dev
Standards-Version: 3.9.3
Homepage: http://git.kolab.org/libkolab

Package: libkolab0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maps KDE containers to Kolab formats
 libkolab provides conversions from/to KDE containers, mime message
 handling and facilities to read and write kolabv2 and kolabv3.

Package: libkolab-dev
Section: libdevel
Architecture: any
Depends: libkolab0 (= ${binary:Version}),
         ${misc:Depends}
Description: Maps KDE containers to Kolab formats
 libkolab provides conversions from/to KDE containers, mime message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 This package contains the development files for the library.
