=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_install:
	dh_install --fail-missing
