=== debian/changelog ===
libkolab (0.4.1-0ubuntu1) raring; urgency=low

  [ Prasad Murthy ]
  * New upstream release
    - update libkolab-dev.install
    - add new symbols to libkolab0.symbols
    - add swig to Build-depends

  [ Philip Muškovac ]
  * Don't fail if the tests fail. They need a running kde environment to
    finish successfully
  * Add libboost-system1.49-dev to Build-Depends

 -- Prasad Murthy <phoenix_firebrd@yahoo.com>  Wed, 23 Jan 2013 07:06:34 +0530
