=== debian/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
                libboost1.49-dev,
                libxerces-c-dev,
                libboost-thread1.49-dev,
-               libcurl4-gnutls-dev
+               libboost-system1.49-dev,
+               libcurl4-gnutls-dev,
+               swig
 Standards-Version: 3.9.3
 Homepage: http://git.kolab.org/libkolab
