=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 override_dh_install:
 	dh_install --fail-missing
+	
+override_dh_auto_test:
+	-dh_auto_test
