=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,11 @@
 addTest(freebusytest)
 addTest(kolabobjecttest)
 addTest(timezonetest)
+addTest(xmlobjecttest)
+
+if(PHP_BINDINGS)
+    find_path(PHP_KOLABFORMAT_PATH NAMES kolabformat.php PATHS /usr/local/lib/php/modules /usr/lib/php/modules PATH_SUFFIXES lib/php/modules lib64/php/modules)
+    message("php kolabformat include path for testing ${PHP_KOLABFORMAT_PATH}")
+    add_test(phptest php -d enable_dl=On -d include_path='.:/usr/share/pear:${CMAKE_BINARY_DIR}:${CMAKE_BINARY_DIR}/calendaring/php:${PHP_KOLABFORMAT_PATH}' -d extension=${CMAKE_BINARY_DIR}/lib/kolabcalendaring.so -d extension=${CMAKE_BINARY_DIR}/lib/kolabshared.so -d extension=${PHP_KOLABFORMAT_PATH}/kolabformat.so ${CMAKE_SOURCE_DIR}/calendaring/php/test.php --verbose)
+endif()
+
