=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,10 @@
 addTest(freebusytest)
 addTest(kolabobjecttest)
 addTest(timezonetest)
+addTest(mimeobjecttest)
 addTest(xmlobjecttest)
+addTest(debugstreamtest)
+addTest(legacyformattest)
 
 if(PHP_BINDINGS)
     find_path(PHP_KOLABFORMAT_PATH NAMES kolabformat.php PATHS /usr/local/lib/php/modules /usr/lib/php/modules PATH_SUFFIXES lib/php/modules lib64/php/modules)
