=== icalendar/python/CMakeLists.txt ===
include_directories(../)
include(SWIGUtils)
generatePythonBindings(icalendar ../icalendar.i)
