=== kolabformat/python/CMakeLists.txt ===
include_directories(../)
include(SWIGUtils)
generatePythonBindings(kolabobject ../kolabobject.i)
