=== debian/changelog ===
libkolab (0.5.0-0ubuntu4) trusty; urgency=medium

  * Debhelper now defaults to building build-type none.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 18 Mar 2014 01:15:20 +0000

libkolab (0.5.0-0ubuntu3) trusty; urgency=medium

  * Update symbols for PPC, ARM, PPC64EL

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 06 Jan 2014 18:06:50 +0100

libkolab (0.5.0-0ubuntu2) trusty; urgency=medium

  * overriden_command is pkg-kde-tools specific and does not work
    on packages that don't use it
    - Replace overriden_command with dh_shlibdeps
  * Override dh_makeshlibs to fail on new symbols
  * Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 06 Jan 2014 17:10:05 +0100

libkolab (0.5.0-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Add build-dep on libboost-program-options1.54-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Dec 2013 14:25:52 +0000

libkolab (0.4.1-0ubuntu5) trusty; urgency=low

  * Add kubuntu_compile_tests.diff to remove non-compiling
    tests
  * Remove kubuntu_no_redeclaire.diff as it causes further errors

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 21 Nov 2013 17:30:36 +0000

libkolab (0.4.1-0ubuntu4) trusty; urgency=low

  * Add kubuntu_no_redeclaire.diff to fix compile with gcc 4.8.2

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Nov 2013 19:12:43 +0000

libkolab (0.4.1-0ubuntu3) trusty; urgency=low

  * In debian/rules exclude kdepim-runtime from depends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Nov 2013 18:39:09 +0000

libkolab (0.4.1-0ubuntu2) saucy; urgency=low

  * Use default libboost-dev like the rest of KDE.

 -- William Grant <wgrant@ubuntu.com>  Tue, 15 Oct 2013 19:34:42 +1100
