=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
                kdelibs5-dev,
                kdepimlibs5-dev,
                libkolabxml-dev,
-               libboost1.49-dev,
+               libboost1.54-dev,
                libxerces-c-dev,
-               libboost-thread1.49-dev,
-               libboost-system1.49-dev,
+               libboost-thread1.54-dev,
+               libboost-system1.54-dev,
                libcurl4-gnutls-dev,
+               libboost-program-options1.54-dev,
                swig
 Standards-Version: 3.9.3
 Homepage: http://git.kolab.org/libkolab
