=== debian/watch ===
version=3
http://git.kolab.org/libkolab/ \
  /libkolab/snapshot/libkolab-([0-9\.]+)\.tar\.gz
