=== kolabformatV2/CMakeLists.txt ===

set( kolabformatv2_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/kolabbase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/contact.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/distributionlist.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/event.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/task.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/journal.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/incidence.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/note.cpp
#     kolabformatv2.cpp
    PARENT_SCOPE)
