=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                kdelibs5-dev,
                kdepimlibs5-dev,
                libkolabxml-dev,
-               libboost1.54-dev,
+               libboost1.55-dev,
                libxerces-c-dev,
-               libboost-thread1.54-dev,
-               libboost-system1.54-dev,
+               libboost-thread1.55-dev,
+               libboost-system1.55-dev,
                libcurl4-gnutls-dev,
-               libboost-program-options1.54-dev,
+               libboost-program-options1.55-dev,
                swig
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://git.kolab.org/libkolab
 
 Package: libkolab0
