=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 
 override_dh_install:
 	dh_install --fail-missing
-	
+
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c2
+
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xkdepim-runtime
+
 override_dh_auto_test:
 	-dh_auto_test
