=== debian/changelog ===
libkolab (0.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Special thanks to Sven Eckelmann for the patch that fixed #732213.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Sep 2014 21:52:04 +0200

libkolab (0.5.2-2) unstable; urgency=medium

  * Team upload.
  * New patch: 0001-Allow-KDateTime-with-only-valid-date.patch (Closes:
    #732213) Thanks to Franz Schrober.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 25 Aug 2014 20:53:40 +0200

libkolab (0.5.2-1) unstable; urgency=medium

  * Add libkolab0.symbols and supporting pkgkde-symbolshelper
    components
  * Force specific python library version, CMake will default to python3
    even though these build scripts assume python2.
  * Add make_python_package.patch to force python kolab to be a package.
  * Imported version 0.5.2
    This release is based on the unreleased 0.5.0 work by Paul Klos.
  * Add myself to uploaders.
  * Update vcs-git to canonical URL.
  * Update cmake PHP variable names in override_dh_auto_configure.
  * Update Standards-Version to 3.9.5. No changes needed.

 -- Diane Trout <diane@ghic.org>  Sat, 28 Jun 2014 22:13:10 -0700

libkolab (0.4.2-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix double definition of struct QMetaTypeId<KCalCore::Duration>
    (Closes: #747808)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 01 Jun 2014 23:17:12 +0200

libkolab (0.4.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build explicitely against Python 2.7, even if 3.x is installed.
    Closes: #745598

 -- Evgeni Golov <evgeni.golov@credativ.de>  Sun, 27 Apr 2014 13:15:28 +0200

libkolab (0.4.2-7) unstable; urgency=low

  * Fix saving of pictures to kabc resources (Closes: #721099)
    Upstream commit
    http://git.kolab.org/libkolab/
    commit/?id=fa19b0d21f3e064adbdff907f06cd15b2cb81d16

 -- Paul Klos <kolab@klos2day.nl>  Wed, 28 Aug 2013 20:20:39 +0200

libkolab (0.4.2-6) unstable; urgency=low

  * Disable rpath
  * Don't set LIB_INSTALL_DIR, it messes up the generated cmake module
  * Use generated Python dependencies for python-kolab
  * Add copyright section for generated cmake files
  * Remove unneccessary export
  * Install kolab.ini from debian/ dir
  * Simpler SWIG test
  * Update standards version
  * Remove unused-override hardening-no-fortify-functions
  * Exclude kdepim-runtime from shdeps
  * Streamline php-kolab install
  * Fix dependencies for libkolab-dev
  * Update changelog

 -- Paul Klos <kolab@klos2day.nl>  Mon, 12 Aug 2013 14:01:00 +0200

libkolab (0.4.2-5) unstable; urgency=low

  * Upload to Debian

 -- Paul Klos <kolab@klos2day.nl>  Fri, 24 May 2013 21:52:37 +0200

libkolab (0.4.2-4) unstable; urgency=low

  * Remove leftovers from dual build
  * Create shlibs from rules (not static file)
  * Remove obsolete conflicts
  * Add separate copyright for debian/*
  * Update changelog

 -- Paul Klos <kolab@klos2day.nl>  Mon, 13 May 2013 22:27:24 +0200

libkolab (0.4.2-3) unstable; urgency=low

  * Revert to single build, depend only on kdepimlibs.
  * Update changelog

 -- Paul Klos <kolab@klos2day.nl>  Tue, 23 Apr 2013 20:45:12 +0200

libkolab (0.4.2-2) unstable; urgency=low

  * Update changelog
  * Depend on libkolabxml0 (>= 0.8.4)

 -- Paul Klos <kolab@klos2day.nl>  Mon, 22 Apr 2013 18:01:30 +0200

libkolab (0.4.2-1) unstable; urgency=low

  * Imported Upstream version 0.4.2
  * Build the package twice: once for clients, once for servers.
    The client build depends on kdepimlibs. The server build
    depends on libcalendaring.
  * Build-depend on kdelibs5-dev
  * Build-depend on kdepimlibs5-dev
  * Correct copy-paste errors in overrides
  * Duplicate dh_install for client and server
  * New binary package libkolab-kde for the libkolab that depends on KDE/Qt
  * Add debug info
  * Copy kolab.ini manually in rules file
  * Copy kolab.ini after installing the other files
    and make sure the path exists
  * Fix install locations
  * Depend on correct version of libkolabxml Add Conflicts for
    libkolab0 and libkolab-kde0
  * More verbosity
  * Correct library names
  * Use server build output for all packages except libkolab-kde
  * Correct dh_auto_build/dh_auto_install options
  * Create separate client and server builds.
    The server build is still called libkolab and depends on libcalendaring.
    The client build is named libkolab-kde, and links against kdepimlibs.
  * Set target names sooner.
    Build failed because apparently the target name is required sooner.
  * Correct library names
  * Remove unneccesary build dependency on kdelibs5-dev.
  * Create separate -dev, php and python packages.
    All 4 packages (libkolab, libkolab-dev, php-kolab and python-kolab)
    must be supplied in both a server and a KDE falvour.
  * Correct long lines
  * Call dh_install for all packages
  * Add package conflicts
  * Make php-kolab-kde depend on PHP api
  * Correct dh_install call for python-kolab-kde
  * Separate shlibs file for libkolab and libkolab-kde
  * Updated loong descriptions
  * Add LIB_INSTALL_DIR
  * Update changelog

 -- Paul Klos <kolab@klos2day.nl>  Sun, 21 Apr 2013 23:19:24 +0200

libkolab (0.4.0-3) unstable; urgency=low

  * Prepare for transition into Debian proper

 -- Paul Klos <kolab@klos2day.nl>  Wed, 03 Apr 2013 00:04:34 +0200

libkolab (0.4.0-2) unstable; urgency=low

  [ Jeroen van Meeuwen (Kolab Systems) ]
  * Correct loading of libkolab PHP bindings modules
  * Pull in php-kolabformat just to make sure kolabformat.so is loaded

  [ Jeroen van Meeuwen ]

 -- Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>  Mon, 26 Nov 2012 15:36:55 +0100

libkolab (0.4.0-1) unstable; urgency=low

  [ Jeroen van Meeuwen (Kolab Systems) ]
  * Imported Upstream version 0.4.0
  * Update kolab.ini to match the new module from libkolab

  [ Jeroen van Meeuwen ]

 -- Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>  Sun, 25 Nov 2012 06:53:46 -0500


