=== debian/control ===
Source: libkolab
Section: libs
Priority: optional
Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
Uploaders: Paul Klos <kolab@klos2day.nl>, Diane Trout <diane@ghic.org>
Build-Depends: cmake,
               libqt4-dev,
               debhelper (>= 9),
               pkg-kde-tools (>= 0.12),
               libkolabxml-dev (>= 1.0),
               libboost-program-options-dev,
               libcurl4-gnutls-dev,
               swig,
               php5-dev (>= 5.3),
               php5-cli,
               python-dev (>= 2.7),
               kdepimlibs5-dev (>= 4:4.10.0),
X-Python-Version: >= 2.7
Standards-Version: 3.9.5
Homepage: http://git.kolab.org/libkolab
Vcs-Git: git://anonscm.debian.org/pkg-kolab/libkolab.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kolab/libkolab.git

Package: libkolab0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maps KDE containers to Kolab formats
 libkolab provides conversions from/to KDE containers, mime message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 The libkolab package provides:
  - kolabformatv2: Kolabformat v2 implementation moved here from kdepim-runtime
  - kolabformat:   Kolab object reading/writing (mime message + kolab-format).
                   Handles v2/v3 transparently.
  - conversion:    Conversions from KDE to Kolab containers and vice verca.
  - mime:          Mime message handling used by kolabformat
  - icalendar:     Exposes iCalendar functionality:
                   iCal reading/writing, iTip, iMip
  - calendaring:   Some general calendaring functions
 .
 The libkolab library belongs to the Kolab 3 server components.

Package: php-kolab
Architecture: any
Depends: libkolab0 (= ${binary:Version}),
         php-kolabformat,
         ucf,
         ${php:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: PHP bindings for Kolab Library
 This package provides the Kolab PHP modules icalendar and calendaring.
 .
  - The calendaring module provides some general calendaring functions
  - The icalendar module exposes iCalendar functionality:
    iCal reading/writing, iTip, iMip.

Package: python-kolab
Architecture: any
Section: python
Depends: libkolab0 (= ${binary:Version}),
         ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Kolab Library
 This package provides the Kolab Python modules icalendar and calendaring.
 .
  - The calendaring module provides some general calendaring functions
  - The icalendar module exposes iCalendar functionality:
    iCal reading/writing, iTip, iMip.

Package: libkolab-dev
Section: libdevel
Architecture: any
Depends: libkolab0 (= ${binary:Version}),
         ${misc:Depends},
         libqt4-dev,
         kdepimlibs5-dev,
         libkolabxml-dev
Description: Development package for Kolab library
 libkolab provides conversions from/to KDE containers, mime message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 This package contains the development files for the library,
 including headers and Libkolab cmake files.
