## libkolab 0.6.0

=== debian/changelog ===
libkolab (0.6.0-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove PHP bindings as swig doesn't support PHP 7.0 yet.
    (Closes: #821686)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Jun 2016 10:03:07 +0200

libkolab (0.6.0-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Check gpg signature for upstream tarballs
  * Fixes postrm, that breaks upgrading package. (Closes: #817808)

  [ Diane Trout ]
  * change my email address back to personal
  * Update Standards-Version to 3.9.8. No changes needed
  * Use secure URLs for Vcs-*

 -- Diane Trout <diane@ghic.org>  Thu, 14 Apr 2016 20:14:23 -0700

libkolab (0.6.0-2) unstable; urgency=medium

  * Update libkolabxml's build dependency to 1.1.1 to pick up the new
    version of libkolabxml built against gcc-5
  * Refresh patches
  * Renmame libkolab0 to libkolab0v5 for gcc-5 transition and recreate
    symbols file
  * Update Diane Trout's email address.
  * Remove override_dh_makeshlibs, it was a relic
    from before libkolab was using pkgkde_symbolshelper.
  * Add breaks/replaces for libkolab0

 -- Diane Trout <diane@debian.org>  Tue, 18 Aug 2015 15:28:16 -0700

libkolab (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Updated Descriptions (Closes: #724845)
  * Added libxerces-c-dev, libboost-thread-dev to build-dep.
  * Updated build-dep libkolabxml to 1.1.0 (minimun required dependency by
    upstream)
  * Updated Standards-Version to 3.9.6. No changes needed.
  * Added myself to uploaders with Diane's permission.
  * Added patch to build with current kdepimlibs (from kolab):
    002-Make-libkolab-compile-with-upstream-kdepimlibs.patch
  * Updated symbols file.
  * Added kolabdummy php module to prevent apache crash, while reloading
    (for further information see https://issues.kolab.org/show_bug.cgi?id=2050)
  * Cleanup/Fixes copyright file.
  * Updated php module dependency list.
  * Switched downloadurl to http://mirror.kolabsys.com/pub/releases/
    (there are also signed packages available, but unfortunately not
    a detached signature)

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 27 May 2015 16:28:00 +0200
