=== debian/control ===
Source: libkolab
Section: libs
Priority: optional
Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
Uploaders: Paul Klos <kolab@klos2day.nl>, Diane Trout <diane@ghic.org>, Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: cmake,
               libqt4-dev,
               debhelper (>= 9),
               pkg-kde-tools (>= 0.12),
               libkolabxml-dev (>= 1.1.1),
               libboost-program-options-dev,
               libboost-thread-dev,
               libcurl4-gnutls-dev,
               libxerces-c-dev,
               swig,
               python-dev (>= 2.7),
               kdepimlibs5-dev (>= 4:4.10.0),
X-Python-Version: >= 2.7
Standards-Version: 3.9.8
Homepage: http://git.kolab.org/libkolab
Vcs-Git: https://anonscm.debian.org/git/pkg-kolab/libkolab.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kolab/libkolab.git

Package: libkolab0v5
Architecture: any
Breaks: libkolab0
Replaces: libkolab0
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maps KDE containers to Kolab formats
 libkolab provides conversions from/to KDE containers, MIME message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 The libkolab package provides:
  - kolabformatv2: Kolabformat v2 implementation moved here from kdepim-runtime
  - kolabformat:   Kolab object reading/writing (MIME message + kolab-format).
                   Handles v2/v3 transparently.
  - conversion:    Conversions from KDE to Kolab containers and vice versa.
  - mime:          MIME message handling used by kolabformat
  - icalendar:     Exposes iCalendar functionality:
                   iCal reading/writing, iTip, iMip
  - calendaring:   Some general calendaring functions
 .
 The libkolab library belongs to the Kolab 3 server components.

Package: python-kolab
Architecture: any
Section: python
Depends: libkolab0v5 (= ${binary:Version}),
         ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Kolab Library
 This package provides the Kolab Python modules icalendar and calendaring.
 .
  - The calendaring module provides some general calendaring functions
  - The icalendar module exposes iCalendar functionality:
    iCal reading/writing, iTip, iMip.

Package: libkolab-dev
Section: libdevel
Architecture: any
Depends: libkolab0v5 (= ${binary:Version}),
         ${misc:Depends},
         libqt4-dev,
         kdepimlibs5-dev,
         libkolabxml-dev (>= 1.1.1)
Description: Development package for Kolab library
 libkolab provides conversions from/to KDE containers, MIME message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 This package contains the development files for the library,
 including headers and Libkolab cmake files.
